#####################################################################
#
# Box-and-whisker plots of relative tooth positions for Lamniformes #
# Principal Components 1 and 2
#
#####################################################################
# Data Dryad Figure S7. 

# Principal Component 1:
p1 <- ggplot(Lamn.Tooth.Position, aes(x = Lamn.Tooth.Position$Standardized.Position,
                                      y = Lamn.Tooth.Position.Vector[,1])) +
  stat_boxplot(geom = "errorbar",size = 1, color = "#808080") +
  stat_summary(fun.y = mean,geom = "line",color = "red") +
  geom_boxplot(fill = "#F0F0F0",color = "#808080",size = 1, alpha = .7,outlier.size = 5,na.rm = T) +
  geom_jitter(colour = "#4040FF",position = position_jitter(width = 0.3),alpha = 0.4) +
  theme_classic()

p1 + xlab('Tooth Positions') + 
  ylab(paste('Principal Component 1 (',round(PCA$pc.summary$importance[2,1]*100,2),'%)',sep = "")) +
  theme_classic() + theme(axis.title = element_text(size = 10,colour = "black",face = "bold",angle = 0)) +
  ggtitle("Lamniformes")

# Principal Component 2:
p2 <- ggplot(Lamn.Tooth.Position, aes(x = Lamn.Tooth.Position$Standardized.Position,
                                      y = Lamn.Tooth.Position.Vector[,2])) +
  geom_boxplot(fill = "#F0F0F0",color = "#808080",size = 1, alpha = .7,outlier.size = 5,na.rm = T) +
  geom_jitter(colour = "#4040FF",position = position_jitter(width = 0.3),alpha = 0.4) +
  theme_classic()

p2 + xlab('Tooth Positions') + 
  ylab(paste('Principal Component 2 (',round(PCA$pc.summary$importance[2,2]*100,2),'%)',sep = "")) +
  theme_classic() + theme(axis.title = element_text(size = 10,colour = "black",face = "bold",angle = 0)) +
  ggtitle("Lamniformes")

# Arrange plots side by side
grid.arrange(p1, p2, ncol = 2, nrow = 1)
